Package Details: ryu-git v3.14-4

Git Clone URL: https://aur.archlinux.org/ryu-git.git (read-only)
Package Base: ryu-git
Description: Ryu component-based software defined networking framework
Upstream URL: http://osrg.github.io/ryu/
Licenses: Apache License 2.0
Conflicts: ryu
Provides: ryu
Submitter: roan
Maintainer: roan
Last Packager: roan
Votes: 1
Popularity: 0.116356
First Submitted: 2014-09-11 04:13
Last Updated: 2015-06-15 05:39

Latest Comments

bage commented on 2018-03-08 20:35

Have you noticed the pull request https://github.com/pichuang/aurball/pull/3 that changes the package to Python 3?

Xandaros commented on 2016-03-11 08:53

Any plans to move to python3?
(Not that it is difficult to adjust the pkgbuild manually, but seeing that ryu now officially supports python3, that seems to be the direction upstream wants to take it)

roan commented on 2014-10-08 08:48

Source code in here: https://github.com/pichuang/aurball/tree/master/ryu-git
if anyone want to contribute this PKGBUILD, maybe send a PR for me.

zsy commented on 2014-09-26 02:40

Some error occurs on packaging.

creating /usr/lib/python2.7/site-packages/netaddr

error: could not create '/usr/lib/python2.7/site-packages/netaddr': Permission denied

----------------------------------------
Cleaning up...
Command /usr/bin/python2 -c "import setuptools, tokenize;__file__='/tmp/pip_build_zsy/netaddr/setup.py';exec(compile(getattr(tokenize, 'open', open)(__file__).read().replace('\r\n', '\n'), __file__, 'exec'))" install --record /tmp/pip-qqQyPy-record/install-record.txt --single-version-externally-managed --compile failed with error code 1 in /tmp/pip_build_zsy/netaddr
Storing debug log for failure in /home/zsy/.pip/pip.log
==> ERROR: A failure occurred in prepare().
Aborting...
==> ERROR: Makepkg was unable to build ryu-git.